## stalonetray-1.0.1-1.src.tar.gz

=== utils/tray-xembed-test/Makefile ===
CFLAGS = -g -O2

SOURCES=$(wildcard *.c)
OBJECTS=$(SOURCES:.c=.o)

TARGET = tray-xembed-test

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -o $@ -lX11

clean:
	rm -rf *.o $(TARGET)

=== PKGBUILD ===
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>

pkgname=stalonetray
pkgver=1.0.1
pkgrel=1
pkgdesc="STAnd-aLONE sysTRAY. It has minimal build and run-time dependencies: the Xlib only."
arch=('x86_64')
url="https://github.com/d3adb5/stalonetray"
license=('GPL')
depends=('libx11' 'libxpm' 'libxinerama')
makedepends=('libxslt' 'docbook-xsl' 'meson')
source=("$pkgname-$pkgver.tar.gz::https://github.com/d3adb5/stalonetray/archive/$pkgver.tar.gz")
sha512sums=('aba0b010ad761ad710ed7314cd5ac8a42acceb6ba4d75ca616253b94aa13b4542b321dfc3ac41cc7c65344f9911e01931525e49982dcbbb7e3466ebba55310a2')

build() {
  cd "$srcdir"/$pkgname-$pkgver
  arch-meson . build
  meson compile -C build
}

package() {
  cd "$srcdir"/$pkgname-$pkgver
  meson install -C build --destdir "$pkgdir"
  install -D -m644 stalonetrayrc.sample "$pkgdir"/etc/stalonetrayrc # FIXME
}
